IIOException (Java Platform SE 8 )
Keywords: javax.imageio.IIOException class
Date: 2026-04-17

javax.imageio

## Class IIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.imageio.IIOException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    IIOInvalidTreeException

      public class IIOException
      extends IOException

  An exception class used for signaling run-time failure of reading and writing operations.

  In addition to a message string, a reference to another `Throwable` (`Error` or `Exception`) is maintained. This reference, if non-`null`, refers to the event that caused this exception to occur. For example, an `IOException` while reading from a `File` would be stored there.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IIOException(String message)` Constructs an `IIOException` with a given message `String`.
    `IIOException(String message, Throwable cause)` Constructs an `IIOException` with a given message `String` and a `Throwable` that was its underlying cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IIOException

          public IIOException(String message)

      Constructs an `IIOException` with a given message `String`. No underlying cause is set; `getCause` will return `null`.
      Parameters:
        `message` - the error message.
      See Also:
        `Throwable.getMessage()`

    - #### IIOException

          public IIOException(String message,
                              Throwable cause)

      Constructs an `IIOException` with a given message `String` and a `Throwable` that was its underlying cause.
      Parameters:
        `message` - the error message.
        `cause` - the `Throwable` (`Error` or `Exception`) that caused this exception to occur.
      See Also:
        `Throwable.getCause()`, `Throwable.getMessage()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.